import {
	WeaTools
} from 'ecCom'

export const getHasRight = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getHasRight', 'GET', params);
}

export const getSysRemindForm = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getSysRemindForm', 'GET', params);
}

export const getSysRemindAddForm = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getSysRemindAddForm', 'GET', params);
}

export const getEpRemindForm = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getEpRemindForm', 'GET', params);
}

export const saveStaffRemind = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/saveStaffRemind', 'POST', params);
}

export const saveImg = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/saveImg', 'POST', params);
}

export const saveSysRemind = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/saveSysRemind', 'POST', params);
}

export const saveSysMember = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/saveSysMember', 'POST', params);
}

export const deleteSysMember = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/deleteSysMember', 'POST', params);
}

export const getSysMemberList = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getSysMemberList', 'GET', params);
}

export const getEntryRemindForm = (params) => {
	return WeaTools.callApi('/api/hrm/entryremind/getEntryRemindForm', 'GET', params);
}

export const savePicChange = (params) => {
	return WeaTools.callApi('/api/hrm/entryremind/savePicChange', 'POST', params);
}

export const save = (params) => {
	return WeaTools.callApi('/api/hrm/entryremind/save', 'POST', params);
}



export const getStaffRemindForm = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/getStaffRemindForm', 'GET', params);
}

export const saveStaffRemindForm = (params) => {
	return WeaTools.callApi('/api/hrm/birthday/saveStaffRemindForm', 'POST', params);
}

